apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: argo-sensor-submit
  namespace: foxhunt
rules:
  - apiGroups: ["argoproj.io"]
    resources: ["workflows"]
    verbs: ["create", "get", "list", "watch"]
  - apiGroups: ["argoproj.io"]
    resources: ["workflowtemplates"]
    verbs: ["get", "list"]
  - apiGroups: ["argoproj.io"]
    resources: ["workflowtaskresults"]
    verbs: ["create", "patch"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: argo-sensor-submit
  namespace: foxhunt
subjects:
  - kind: ServiceAccount
    name: argo-workflow
    namespace: foxhunt
roleRef:
  kind: Role
  name: argo-sensor-submit
  apiGroup: rbac.authorization.k8s.io
